www/p5-Apache-ASP - The NetBSD Packages Collection

Perl5/Apache module of Perl-coded Active Server Pages

This module provides a Active Server Pages port to Apache. Active Server
Pages is a web application platform that originated with Microsoft's IIS
server. Under Apache for both Win32 and Unix, it allows a developer to
create web applications with session management and perl embedded in
static html files.

This is a portable solution, similar to ActiveWare's PerlScript and MKS's
PScript implementation of perl for IIS ASP. Work has been done and will
continue to make ports to and from these other implementations as seamless
as possible.

Build dependencies

www/apache24 pkgtools/cwrappers www/apache24 lang/perl5

Runtime dependencies

www/p5-Apache-Filter www/p5-Apache-SSI devel/p5-Devel-Symdump www/p5-HTML-Clean www/p5-HTML-FillInForm databases/p5-MLDBM databases/p5-MLDBM-Sync textproc/p5-XML-XSLT www/p5-libwww lang/perl5 lang/perl5 www/ap2-perl www/ap2-perl

Available binary packages

aarch64:p5-Apache-ASP-2.63nb2.tgz(NetBSD 9.0)
aarch64:p5-Apache-ASP-2.63nb3.tgz(NetBSD 9.0)
aarch64:p5-Apache-ASP-2.63nb3.tgz(NetBSD 9.0)
alpha:p5-Apache-ASP-2.63nb3.tgz(NetBSD 9.0)
alpha:p5-Apache-ASP-2.63nb3.tgz(NetBSD 9.0)
earmv6hf:p5-Apache-ASP-2.63nb3.tgz(NetBSD 9.0)
earmv6hf:p5-Apache-ASP-2.63nb3.tgz(NetBSD 9.0)
earmv6hf:p5-Apache-ASP-2.63nb3.tgz(NetBSD 9.0)
earmv7hf:p5-Apache-ASP-2.63nb3.tgz(NetBSD 8.0)
earmv7hf:p5-Apache-ASP-2.63nb2.tgz(NetBSD 8.0)
earmv7hf:p5-Apache-ASP-2.63nb2.tgz(NetBSD 8.0)
earmv7hf:p5-Apache-ASP-2.63nb3.tgz(NetBSD 8.0)
earmv7hf:p5-Apache-ASP-2.63nb3.tgz(NetBSD 9.0)
earmv7hf:p5-Apache-ASP-2.63nb2.tgz(NetBSD 9.0)
earmv7hf:p5-Apache-ASP-2.63nb2.tgz(NetBSD 9.0)
earmv7hf:p5-Apache-ASP-2.63nb3.tgz(NetBSD 9.0)
earmv7hf:p5-Apache-ASP-2.63nb3.tgz(NetBSD 9.0)
i386:p5-Apache-ASP-2.63nb2.tgz(NetBSD 8.0)
i386:p5-Apache-ASP-2.63nb3.tgz(NetBSD 8.0)
i386:p5-Apache-ASP-2.63nb3.tgz(NetBSD 8.0)
i386:p5-Apache-ASP-2.63nb2.tgz(NetBSD 9.0)
i386:p5-Apache-ASP-2.63nb3.tgz(NetBSD 9.0)
i386:p5-Apache-ASP-2.63nb3.tgz(NetBSD 9.0)
mips64eb:p5-Apache-ASP-2.63nb3.tgz(NetBSD 9.0)
powerpc:p5-Apache-ASP-2.63nb3.tgz(NetBSD 8.0)
powerpc:p5-Apache-ASP-2.63nb3.tgz(NetBSD 8.0)
powerpc:p5-Apache-ASP-2.63nb3.tgz(NetBSD 9.0)
powerpc:p5-Apache-ASP-2.63nb2.tgz(NetBSD 9.0)
sparc64:p5-Apache-ASP-2.63nb3.tgz(NetBSD 9.0)
sparc64:p5-Apache-ASP-2.63nb3.tgz(NetBSD 9.0)
x86_64:p5-Apache-ASP-2.63nb3.tgz(NetBSD 9.0)
x86_64:p5-Apache-ASP-2.63nb3.tgz(NetBSD 9.0)
x86_64:p5-Apache-ASP-2.63nb3.tgz(NetBSD 9.0)
x86_64:p5-Apache-ASP-2.63nb3.tgz(NetBSD 9.0)
x86_64:p5-Apache-ASP-2.63nb3.tgz(NetBSD 8.0)
x86_64:p5-Apache-ASP-2.63nb2.tgz(NetBSD 8.0)
x86_64:p5-Apache-ASP-2.63nb3.tgz(NetBSD 8.0)
x86_64:p5-Apache-ASP-2.63nb2.tgz(NetBSD 9.0)
x86_64:p5-Apache-ASP-2.63nb3.tgz(NetBSD 9.0)
x86_64:p5-Apache-ASP-2.63nb3.tgz(NetBSD 9.0)
x86_64:p5-Apache-ASP-2.63nb3.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]